Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component.cpp	(revision 82)
@@ -31,9 +31,9 @@
     ,_usage            (usage)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     usage_environment(_usage);
 
-    log_printf(INFO,@COMPONENT,FUNCTION,"Allocation");
+    log_printf(INFO,@COMPONENT,FUNCTION,_("Allocation"));
 
     allocation (
@@ -46,5 +46,5 @@
     if (usage_is_set(_usage,USE_STATISTICS))
       {	
-	log_printf(INFO,@COMPONENT,FUNCTION,"Allocation of statistics");
+	log_printf(INFO,@COMPONENT,FUNCTION,_("Allocation of statistics"));
 
 	statistics_allocation(param_statistics);
@@ -56,5 +56,5 @@
       {
 	// generate the vhdl
-	log_printf(INFO,@COMPONENT,FUNCTION,"Generate the vhdl");
+	log_printf(INFO,@COMPONENT,FUNCTION,_("Generate the vhdl"));
 	
 	vhdl();
@@ -65,5 +65,5 @@
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
-	log_printf(INFO,@COMPONENT,FUNCTION,"Method - transition");
+	log_printf(INFO,@COMPONENT,FUNCTION,_("Method - transition"));
 
 	SC_METHOD (transition);
@@ -77,5 +77,5 @@
 #endif
       }
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
     
@@ -84,5 +84,5 @@
   @COMPONENT::~@COMPONENT (void)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
 #ifdef STATISTICS
@@ -93,8 +93,8 @@
 #endif
 
-    log_printf(INFO,@COMPONENT,FUNCTION,"Deallocation");
+    log_printf(INFO,@COMPONENT,FUNCTION,_("Deallocation"));
     deallocation ();
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_allocation.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_allocation.cpp	(revision 82)
@@ -8,4 +8,5 @@
 #include "Behavioural/@DIRECTORY/include/@COMPONENT.h"
 #include "Behavioural/include/Allocation.h"
+#include "Common/include/Max.h"
 
 namespace morpheo                    {
@@ -24,5 +25,5 @@
 			       )
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     _component   = new Component (_usage);
@@ -43,5 +44,5 @@
 							 ,IN
 							 ,SOUTH,
-							 "Generalist interface"
+							 _("Generalist interface")
 #endif
 							 );
@@ -57,5 +58,5 @@
 #endif
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_deallocation.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_deallocation.cpp	(revision 82)
@@ -17,5 +17,5 @@
   void @COMPONENT::deallocation (void)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     if (usage_is_set(_usage,USE_SYSTEMC))
@@ -28,5 +28,5 @@
     delete _component;
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_end_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_end_cycle.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_end_cycle.cpp	(revision 82)
@@ -17,5 +17,5 @@
 void @COMPONENT::end_cycle ()
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
 #ifdef STATISTICS
@@ -31,5 +31,5 @@
 #endif
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_allocation.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_allocation.cpp	(revision 82)
@@ -17,5 +17,5 @@
   void @COMPONENT::statistics_allocation (morpheo::behavioural::Parameters_Statistics * param_statistics)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     _stat = new Stat (static_cast<std::string>(_name),
@@ -23,5 +23,5 @@
 		      param_statistics);
     
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_deallocation.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_deallocation.cpp	(revision 82)
@@ -17,11 +17,11 @@
   void @COMPONENT::statistics_deallocation (void)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
-    log_printf(INFO,@COMPONENT,FUNCTION,"Generate Statistics file");
+    log_printf(INFO,@COMPONENT,FUNCTION,_("Generate Statistics file"));
     
     delete _stat;
     
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_transition.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_transition.cpp	(revision 82)
@@ -17,5 +17,5 @@
   void @COMPONENT::transition (void)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
 #if defined(STATISTICS) or defined(VHDL_TESTBENCH)
@@ -23,5 +23,5 @@
 #endif
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl.cpp	(revision 82)
@@ -18,5 +18,5 @@
   void @COMPONENT::vhdl (void)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     Vhdl * vhdl = new Vhdl (_name);
@@ -32,5 +32,5 @@
     delete vhdl;
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl_body.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl_body.cpp	(revision 82)
@@ -17,7 +17,7 @@
   void @COMPONENT::vhdl_body (Vhdl * & vhdl)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
     vhdl->set_body ("");
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl_declaration.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_vhdl_declaration.cpp	(revision 82)
@@ -17,6 +17,6 @@
   void @COMPONENT::vhdl_declaration (Vhdl * & vhdl)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_begin(@COMPONENT,FUNCTION);
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters.cpp	(revision 82)
@@ -16,7 +16,7 @@
   Parameters::Parameters ()
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
     test();
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
   };
   
@@ -25,7 +25,7 @@
 //   Parameters::Parameters (Parameters & param)
 //   {
-//     log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+//     log_begin(@COMPONENT,FUNCTION);
 //     test();
-//     log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+//     log_end(@COMPONENT,FUNCTION);
 //   };
 
@@ -34,6 +34,6 @@
   Parameters::~Parameters () 
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_begin(@COMPONENT,FUNCTION);
+    log_end(@COMPONENT,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters_msg_error.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters_msg_error.cpp	(revision 82)
@@ -18,9 +18,9 @@
   Parameters_test Parameters::msg_error(void)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     Parameters_test test ("@COMPONENT");
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
 
     return test;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters_print.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters_print.cpp	(revision 82)
@@ -17,5 +17,5 @@
   std::string Parameters::print (uint32_t depth)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     XML xml ("@COMPONENT_LOWER");
@@ -25,5 +25,5 @@
     xml.balise_close();
 
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
     
     return xml.get_body(depth);
@@ -35,9 +35,9 @@
 			    morpheo::behavioural::@NAMESPACE_USE::Parameters & x)
   {
-    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
+    log_begin(@COMPONENT,FUNCTION);
 
     output_stream << x.print(0);
     
-    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
+    log_end(@COMPONENT,FUNCTION);
 
     return output_stream;
